<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Izg 2018 - 2019, lab 6.: student/fwd.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Izg 2018 - 2019, lab 6.
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">fwd.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains forward declarations and constants.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
</div>
<p><a href="fwd_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:acdf314019539248efc2b4f247a1b97ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdf314019539248efc2b4f247a1b97ac"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#acdf314019539248efc2b4f247a1b97ac">MY_PI</a>&#160;&#160;&#160;3.14159265359f</td></tr>
<tr class="memdesc:acdf314019539248efc2b4f247a1b97ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">pi constant <br /></td></tr>
<tr class="separator:acdf314019539248efc2b4f247a1b97ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f8ee7c15af6c4cbdd6ad945652f375"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44f8ee7c15af6c4cbdd6ad945652f375"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#a44f8ee7c15af6c4cbdd6ad945652f375">IMPLEMENT_SOLUTION</a></td></tr>
<tr class="memdesc:a44f8ee7c15af6c4cbdd6ad945652f375"><td class="mdescLeft">&#160;</td><td class="mdescRight">This define activates implementation of all tasks. <br /></td></tr>
<tr class="separator:a44f8ee7c15af6c4cbdd6ad945652f375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6f7b572ea8958fca2b31004e1039f04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6f7b572ea8958fca2b31004e1039f04"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#ac6f7b572ea8958fca2b31004e1039f04">IMPLEMENT_TASK1</a></td></tr>
<tr class="memdesc:ac6f7b572ea8958fca2b31004e1039f04"><td class="mdescLeft">&#160;</td><td class="mdescRight">This define activates implementation of first task. <br /></td></tr>
<tr class="separator:ac6f7b572ea8958fca2b31004e1039f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee09d421ee08997a4f6e25b8ca358511"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee09d421ee08997a4f6e25b8ca358511"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#aee09d421ee08997a4f6e25b8ca358511">IMPLEMENT_TASK2</a></td></tr>
<tr class="memdesc:aee09d421ee08997a4f6e25b8ca358511"><td class="mdescLeft">&#160;</td><td class="mdescRight">This define activates implementation of second task. <br /></td></tr>
<tr class="separator:aee09d421ee08997a4f6e25b8ca358511"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3550b9aa2623298e8c61ea1ebe9e3653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3550b9aa2623298e8c61ea1ebe9e3653"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#a3550b9aa2623298e8c61ea1ebe9e3653">IMPLEMENT_TASK3</a></td></tr>
<tr class="memdesc:a3550b9aa2623298e8c61ea1ebe9e3653"><td class="mdescLeft">&#160;</td><td class="mdescRight">This define activates implementation of third task. <br /></td></tr>
<tr class="separator:a3550b9aa2623298e8c61ea1ebe9e3653"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:af5ef9466b1253e714b5ded8b25d06246"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5ef9466b1253e714b5ded8b25d06246"></a>
typedef struct <a class="el" href="structVec2.html">Vec2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#af5ef9466b1253e714b5ded8b25d06246">Vec2</a></td></tr>
<tr class="memdesc:af5ef9466b1253e714b5ded8b25d06246"><td class="mdescLeft">&#160;</td><td class="mdescRight">shortcut <br /></td></tr>
<tr class="separator:af5ef9466b1253e714b5ded8b25d06246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20b81c7ccf425704f7fbf034c6e0afe1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20b81c7ccf425704f7fbf034c6e0afe1"></a>
typedef struct <a class="el" href="structVec3.html">Vec3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#a20b81c7ccf425704f7fbf034c6e0afe1">Vec3</a></td></tr>
<tr class="memdesc:a20b81c7ccf425704f7fbf034c6e0afe1"><td class="mdescLeft">&#160;</td><td class="mdescRight">shortcut <br /></td></tr>
<tr class="separator:a20b81c7ccf425704f7fbf034c6e0afe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd438584811431d451e07e5600aab8e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd438584811431d451e07e5600aab8e7"></a>
typedef struct <a class="el" href="structVec4.html">Vec4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#abd438584811431d451e07e5600aab8e7">Vec4</a></td></tr>
<tr class="memdesc:abd438584811431d451e07e5600aab8e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">shortcut <br /></td></tr>
<tr class="separator:abd438584811431d451e07e5600aab8e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7bd03ace5e25914db6b30a3a5d6e283"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7bd03ace5e25914db6b30a3a5d6e283"></a>
typedef struct <a class="el" href="structMat4.html">Mat4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#af7bd03ace5e25914db6b30a3a5d6e283">Mat4</a></td></tr>
<tr class="memdesc:af7bd03ace5e25914db6b30a3a5d6e283"><td class="mdescLeft">&#160;</td><td class="mdescRight">shortcut <br /></td></tr>
<tr class="separator:af7bd03ace5e25914db6b30a3a5d6e283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2957b322725cd461a6a7827bb0fcc55"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2957b322725cd461a6a7827bb0fcc55"></a>
typedef uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwd_8h.html#ae2957b322725cd461a6a7827bb0fcc55">VertexIndex</a></td></tr>
<tr class="memdesc:ae2957b322725cd461a6a7827bb0fcc55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Instance of this type contains index to vertex. <br /></td></tr>
<tr class="separator:ae2957b322725cd461a6a7827bb0fcc55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains forward declarations and constants. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Apr 24 2019 08:37:08 for Izg 2018 - 2019, lab 6. by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
